## photopc 2.1

=== Makefile ===
# Makefile for Epson PhotoPC manipulation tool

#	Copyright (c) 1997,1998 Eugene G. Crosser
#	Copyright (c) 1998 Bruce D. Lightner (DOS/Windows support)
#
#	You may do virtually what you wish with this software, as long
#	as the explicit reference to its original author is retained.
#
#	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
#	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
#	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
#	USE OF THIS SOFTWARE.

# -DUNIX
# Use UNIX specific I/O and other things.

# -DDOS
# Use DOS specific I/O and other things.  Do not define here, use
# Makefile.dos file instead.

# -DMSWINDOWS
# Use Windows specific I/O and other things.  Do not define here, use
# Makefile.win file instead.

# -DINT16=<type-for-16bit-integer>
# Here you need to specify which integer type correspond to 16bit word.
# On Intel x86 and SPARC it is `short' and I think it is the same on
# most reasonable architectures.  But if you have anything really exotic,
# watch out!

# -DHAVE_CFMAKERAW
# Some modern unices have cfmakeraw() function.  If you are not sure,
# do not define this, it will work anyway.

# -DHAVE_SELECT_H
# On some unices, you need to #include <sys/select.h> to use select()
# system call.  On others, you don't and you cannot.  Look if there is
# a file "/usr/include/sys/select.h" and define accordingly.

# -DHAVE_STRFTIME
# use strftime(3) to make file names with format given in -f option

# -DHAVE_PRIOCTL
# use sched_setsheduler() to obtain realtime proprity if possible.
# Will only work if run by root or setuid root.

# -DHAVE_NANOSLEEP
# use nanlosleep() instead of usleep() for short delays.  This may make
# short delays more accurate on some systems (e.g Linux with libc-4) if
# used togrther with HAVE_PRIOCTL.

# This one is good for Linux:
OPTS	= -DUNIX -DINT16=short -DHAVE_CFMAKERAW -DHAVE_STRFTIME \
		-DHAVE_PRIOCTL -DHAVE_NANOSLEEP

# This one is good for Solaris 2.x:
#OPTS	= -DINT16=short -DHAVE_SELECT_H -DHAVE_STRFTIME

# This one is good for BSDi 3.x
#OPTS  = -DINT16=short -DHAVE_SELECT_H -DHAVE_STRFTIME -DHAVE_CFMAKERAW


BINDEST	= /usr/local/bin
LIBDEST	= /usr/local/lib
INCDEST	= /usr/local/include
MANDEST	= /usr/local/man
MANEXT	= 1

CC	= gcc
CFLAGS	= -O2 -Wall
LD	= gcc
LDFLAGS	=
AR	= ar
RANLIB	= ranlib
INSTALL	= install -c

##### No need to touch anything below this line #####

LIBOBJS	= eph_read.o eph_iob.o eph_err.o eph_cmd.o eph_io.o eph_open.o

.c.o:
	${CC} ${CFLAGS} ${OPTS} -c $<

all:	libeph_io.a photopc epinfo

libeph_io.a:	${LIBOBJS}
	${AR} r $@ $?
	${RANLIB} $@

photopc:	photopc.o jscan.o libeph_io.a
	${LD} ${LDGLAGS} -o $@ photopc.o jscan.o -L. -leph_io

epinfo:	epinfo.o jscan.o
	${LD} ${LDGLAGS} -o $@ epinfo.o jscan.o

clean:
	rm -f *.o

gclean:	clean
	rm -f libeph_io.a photopc epinfo

install:	all
	${INSTALL} -m 755 photopc ${BINDEST}
	${INSTALL} -m 755 epinfo ${BINDEST}
	${INSTALL} -d -m 755 ${MANDEST}/man${MANEXT}
	${INSTALL} -m 644 photopc.man ${MANDEST}/man${MANEXT}/photopc.${MANEXT}
	${INSTALL} -m 644 epinfo.man ${MANDEST}/man${MANEXT}/epinfo.${MANEXT}

install.lib:	libeph_io.a
	${INSTALL} -m 644 libeph_io.a ${LIBDEST}
	${INSTALL} -m 644 eph_io.h ${INCDEST}

eph_cmd.o: eph_io.h
eph_cmd.o: eph_priv.h
eph_err.o: eph_io.h
eph_err.o: eph_priv.h
eph_io.o: eph_io.h
eph_io.o: eph_priv.h
eph_io.o: usleep.h
eph_io.o: comio.h
eph_iob.o: eph_io.h
eph_open.o: eph_io.h
eph_open.o: eph_priv.h
eph_open.o: usleep.h
eph_open.o: comio.h
eph_open.o: usleep.h
eph_read.o: eph_io.h
eph_read.o: comio.h
eph_read.o: usleep.h
epinfo.o: jscan.h
getopt.o: getopt.h
jscan.o: jscan.h
photopc.o: eph_io.h
photopc.o: jscan.h
photopc.o: getopt.h
photopc.o: strcscmp.h

## photopc 3.05

=== dos/Makefile ===
#	$Id: Makefile,v 2.9 1999/08/01 23:24:26 crosser Exp $
#
#	Copyright (c) 1997,1998 Eugene G. Crosser
#	Copyright (c) 1998 Bruce D. Lightner (DOS/Windows support)
#
#	You may distribute and/or use for any purpose modified or unmodified
#	copies of this software if you preserve the copyright notice above.
#
#	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
#	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
#	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
#	USE OF THIS SOFTWARE.
#
#	$Log: Makefile,v $
#	Revision 2.9  1999/08/01 23:24:26  crosser
#	DOS make in subdirectory
#
#	Revision 2.8  1999/03/22 06:08:44  lightner
#	Fix logic to put ALL binaries into msdos/
#	Add extra library to keep DOS link command line short
#
#	Revision 2.7  1999/03/12 10:37:13  crosser
#	try workaround a problem with tmake
#
#	Revision 2.6  1999/03/12 10:19:17  crosser
#	add ctrl-Z in the end
#
#	Revision 2.5  1999/03/12 10:06:23  crosser
#	make usable with tc1.0
#
#	Revision 2.4  1999/03/10 22:34:43  crosser
#	sync with structure changes
#
#	Revision 2.3  1999/01/17 13:27:59  bruce
#	make win/dos versions in separate subdirs
#
#	Revision 2.2  1998/10/18 13:18:27  crosser
#	Put RCS logs and I.D. into the source
#
#	Revision 2.1  1998/02/16 06:13:29  lightner
#	Add $(MODEL) and change to "small"; improve cleanup logic
#	
#	Revision 2.0  1998/02/13 23:01:50  crosser
#	remove $@ for work with make from TC1.0
#	
#	Revision 1.2  1998/02/08 19:58:38  crosser
#	Support low memory: chunked saving etc.
#	
#	Revision 1.1  1998/01/18 02:16:45  crosser
#	Initial revision
#
# Modified by Bruce D. Lightner (lightner@lightner.net) on 1/8/98 to
# support builds under Borland International Turbo C++ Version 3.0.
#
# To "make" using Borland International's Turbo C++ toolset, ensure that
# your PATH points to the proper Turbo C++ binary directory, then enter
# the following commands:
#
#      make gclean
#      make

srcdir = ..

OPTS	= -DHAVE_CONFIG_H

CC	= tcc

#MODEL	= -ml
MODEL	= -ms

CFLAGS	= $(MODEL) -O2 -G -wsus -wpar

LD	= tlink
LDFLAGS	= $(MODEL) -M

AR	= tlib

# "-I." go first to include right config.h !
INC = -I. -I$(srcdir)

##### No need to touch anything below this line #####

LIBOBJS	= eph_read.obj eph_iob.obj eph_err.obj eph_cmd.obj \
	eph_io.obj eph_open.obj getopt.obj usleep.obj \
	strcscmp.obj comio.obj
LIBLIST1=+eph_read.obj+eph_iob.obj+eph_err.obj+eph_cmd.obj
LIBLIST2=+eph_io.obj+eph_open.obj+getopt.obj+usleep.obj
LIBLIST3=+strcscmp.obj+comio.obj


LIB2OBJS=a12scan.obj fnames.obj ctimez.obj filetime.obj \
	exifscan.obj
LIB2LIST1=+a12scan.obj+fnames.obj+ctimez.obj+filetime.obj
LIB2LIST2=+exifscan.obj

.c.obj:
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c $<

all:	eph_io.lib photopc.exe epinfo.exe

eph_io.lib:	$(LIBOBJS)
	del eph_io.lib
	$(AR) eph_io.lib $(LIBLIST1)
	$(AR) eph_io.lib $(LIBLIST2)
	$(AR) eph_io.lib $(LIBLIST3)
	del eph_io.bak

ephextra.lib:      $(LIB2OBJS)
	del ephextra.lib
	$(AR) ephextra.lib $(LIB2LIST1)
	$(AR) ephextra.lib $(LIB2LIST2)
	del ephextra.bak

photopc.exe:     photopc.obj eph_io.lib ephextra.lib
	$(CC) $(LDFLAGS) photopc.obj eph_io.lib ephextra.lib

epinfo.exe:      epinfo.obj eph_io.lib ephextra.lib
	$(CC) $(LDFLAGS) epinfo.obj eph_io.lib ephextra.lib

tidyup:
	del ephextra.lib
	del ephextra.bak
	del eph_io.bak
	del *.map
	del *.obj

clean:	tidyup
	del eph_io.lib
	del photopc.exe
	del epinfo.exe
	rmdir $(T)

MKOBJ = $(CC) $(CFLAGS) $(OPTS) $(INC) -c


photopc.obj: $(srcdir)/photopc.c $(srcdir)/eph_io.h $(srcdir)/a12scan.h $(srcdir)/fnames.h $(srcdir)/ctimez.h $(srcdir)/filetime.h $(srcdir)/getopt.h $(srcdir)/strcscmp.h
	$(MKOBJ) -ophotopc.obj $(srcdir)/photopc.c

epinfo.obj: $(srcdir)/epinfo.c $(srcdir)/a12scan.h $(srcdir)/exifscan.h $(srcdir)/fnames.h $(srcdir)/ctimez.h $(srcdir)/filetime.h $(srcdir)/getopt.h $(srcdir)/strcscmp.h
	$(MKOBJ) -oepinfo.obj $(srcdir)/epinfo.c

a12scan.obj: $(srcdir)/a12scan.c $(srcdir)/a12scan.h
	$(MKOBJ) -oa12scan.obj $(srcdir)/a12scan.c

exifscan.obj: $(srcdir)/exifscan.c $(srcdir)/exifscan.h
	$(MKOBJ) -oexifscan.obj $(srcdir)/exifscan.c

fnames.obj: $(srcdir)/fnames.c $(srcdir)/fnames.h $(srcdir)/ctimez.h
	$(MKOBJ) -ofnames.obj $(srcdir)/fnames.c

ctimez.obj: $(srcdir)/ctimez.c $(srcdir)/ctimez.h
	$(MKOBJ) -octimez.obj $(srcdir)/ctimez.c

filetime.obj: $(srcdir)/filetime.c $(srcdir)/filetime.h $(srcdir)/ctimez.h
	$(MKOBJ) -ofiletime.obj $(srcdir)/filetime.c

eph_read.obj: $(srcdir)/eph_read.c $(srcdir)/eph_io.h $(srcdir)/comio.h $(srcdir)/usleep.h
	$(MKOBJ) -oeph_read.obj $(srcdir)/eph_read.c

eph_iob.obj: $(srcdir)/eph_iob.c $(srcdir)/eph_io.h
	$(MKOBJ) -oeph_iob.obj $(srcdir)/eph_iob.c

eph_err.obj: $(srcdir)/eph_err.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h
	$(MKOBJ) -oeph_err.obj $(srcdir)/eph_err.c

eph_cmd.obj: $(srcdir)/eph_cmd.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h
	$(MKOBJ) -oeph_cmd.obj $(srcdir)/eph_cmd.c

eph_io.obj: $(srcdir)/eph_io.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h $(srcdir)/usleep.h $(srcdir)/comio.h
	$(MKOBJ) -oeph_io.obj $(srcdir)/eph_io.c

eph_open.obj: $(srcdir)/eph_open.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h $(srcdir)/usleep.h $(srcdir)/comio.h $(srcdir)/usleep.h
	$(MKOBJ) -oeph_open.obj $(srcdir)/eph_open.c

getopt.obj: $(srcdir)/getopt.c $(srcdir)/getopt.h
	$(MKOBJ) -ogetopt.obj $(srcdir)/getopt.c

usleep.obj: $(srcdir)/usleep.c
	$(MKOBJ) -ousleep.obj $(srcdir)/usleep.c

strcscmp.obj: $(srcdir)/strcscmp.c
	$(MKOBJ) -ostrcscmp.obj $(srcdir)/strcscmp.c

comio.obj: $(srcdir)/comio.c
	$(MKOBJ) -ocomio.obj $(srcdir)/comio.c

## photopc 3.07

=== dos/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 #	$Log: Makefile,v $
 #	Revision 2.9  1999/08/01 23:24:26  crosser
 #	DOS make in subdirectory
-#
+#	
 #	Revision 2.8  1999/03/22 06:08:44  lightner
 #	Fix logic to put ALL binaries into msdos/
 #	Add extra library to keep DOS link command line short

=== win32/Makefile ===
#	$Id: Makefile,v 2.16 1999/11/09 18:55:03 crosser Exp $
#
#	Copyright (c) 1997,1998 Eugene G. Crosser
#	Copyright (c) 1998 Bruce D. Lightner (DOS/Windows support)
#
#	You may distribute and/or use for any purpose modified or unmodified
#	copies of this software if you preserve the copyright notice above.
#
#	THIS SOFTWARE IS PROVIDED AS IS AND COME WITH NO WARRANTY OF ANY
#	KIND, EITHER EXPRESSED OR IMPLIED.  IN NO EVENT WILL THE
#	COPYRIGHT HOLDER BE LIABLE FOR ANY DAMAGES RESULTING FROM THE
#	USE OF THIS SOFTWARE.
#
# 	sample message
#	$Log: Makefile,v $
#	Revision 2.16  1999/11/09 18:55:03  crosser
#	work on windows version
#	
#	Revision 2.15  1999/08/04 11:52:21  ady
#	test commit
#	
#	Revision 2.14  1999/08/01 23:25:11  crosser
#	move makefile to subdirectory, NOT working yet!
#	
#	Revision 2.13  1999/04/14 18:34:38  lightner
#	link with setargv to expand filenames
#
#	Revision 2.12  1999/03/22 06:08:44  lightner
#	Add -DHAVE_RENAME
#	Fix overly long command line problem (add $(EXTRA_OBJS))
#	Fix "make clean" to do full cleanup
#
#	Revision 2.11  1999/03/12 23:22:30  crosser
#	define for new utime() code
#
#	Revision 2.10  1999/03/12 10:06:23  crosser
#	setfiletime
#
#	Revision 2.9  1999/03/10 22:34:43  crosser
#	sync with structure changes
#
#	Revision 2.8  1999/01/17 13:37:29  crosser
#	fix copyright info
#
#	Revision 2.7  1999/01/17 13:27:59  bruce
#	make win/dos versions in separate subdirs
#
#	Revision 2.6  1998/10/18 13:18:27  crosser
#	Put RCS logs and I.D. into the source
#
#	Revision 2.5  1998/02/16 06:12:02  lightner
#	Add dependancy for revision.h
#	
#	Revision 2.4  1998/02/08 19:58:38  crosser
#	Support low memory: chunked saving etc.
#	
#	Revision 2.3  1998/02/05 23:33:00  lightner
#	Fix make logic to allow debug
#	Fix "make clean" logic to remove MSVC++ "trash/debug" files
#	
#	Revision 2.2  1998/01/18 02:16:45  crosser
#	DOS support
#	HAVE_NANOSLEEP
#	
#	Revision 2.1  1998/01/03 12:50:02  crosser
#	fix for new name etc.
#	
#	Revision 2.0  1998/01/02 19:20:11  crosser
#	Added support for Win32
#	
#	Revision 1.1  1998/01/02 00:49:34  crosser
#	Initial revision
#
# Modified by Bruce D. Lightner (lightner@lightner.net) on 1/2/98 to
# support builds under Microsoft Windows 95/NT
#
# To "make" using Microsoft's Visual C++ toolset, ensure that your
# PATH points to the proper development tools directory, verify that
# the INCLUDE and LIB environment variables are set, then enter the
# following commands:
#
#      nmake clean
#      nmake

srcdir	= ..
VPATH	= ..

OPTS	= -DHAVE_CONFIG_H

CC	= cl
#CFLAGS	= -O2 -Zi
CFLAGS	= -O2
LD	= cl
LDFLAGS	= $(CFLAGS)
AR	= lib

# "-I." go first to include right config.h !
INC = -I. -I$(srcdir)

##### No need to touch anything below this line #####

LIBOBJS = eph_read.obj eph_iob.obj eph_err.obj \
	eph_cmd.obj eph_io.obj eph_open.obj

EXTRA_OBJS = getopt.obj usleep.obj strcscmp.obj \
	a12scan.obj fnames.obj ctimez.obj filetime.obj \
	exifscan.obj

all:	eph_io.lib photopc.exe epinfo.exe

eph_io.lib:      $(LIBOBJS)
	$(AR) /out:$@ $(LIBOBJS)

photopc.exe:     photopc.obj $(EXTRA_OBJS) eph_io.lib
	$(LD) $(LDFLAGS) -Fe$@ photopc.obj $(EXTRA_OBJS) eph_io.lib

epinfo.exe:      epinfo.obj $(EXTRA_OBJS)
	$(LD) $(LDFLAGS) -Fe$@ epinfo.obj $(EXTRA_OBJS) /link setargv.obj


tidyup:
	del *.obj
	del vc*.pdb
	del eph_io.bak
	del photopc.vcp
	del photopc.ilk
	del photopc.pdb
	del epinfo.vcp
	del epinfo.ilk
	del epinfo.pdb

clean:	tidyup
	del eph_io.lib
	del photopc.exe
	del epinfo.exe

MKOBJ =	$(CPP) $(CFLAGS) $(OPTS) $(INC) -Fo$@ -c

photopc.obj: $(srcdir)/photopc.c $(srcdir)/eph_io.h $(srcdir)/a12scan.h $(srcdir)/fnames.h $(srcdir)/ctimez.h $(srcdir)/filetime.h $(srcdir)/getopt.h $(srcdir)/strcscmp.h
	$(MKOBJ) -ophotopc.obj $(srcdir)/photopc.c

epinfo.obj: $(srcdir)/epinfo.c $(srcdir)/a12scan.h $(srcdir)/exifscan.h $(srcdir)/fnames.h $(srcdir)/ctimez.h $(srcdir)/filetime.h $(srcdir)/getopt.h $(srcdir)/strcscmp.h
	$(MKOBJ) -oepinfo.obj $(srcdir)/epinfo.c

a12scan.obj: $(srcdir)/a12scan.c $(srcdir)/a12scan.h
	$(MKOBJ) -oa12scan.obj $(srcdir)/a12scan.c

exifscan.obj: $(srcdir)/exifscan.c $(srcdir)/exifscan.h
	$(MKOBJ) -oexifscan.obj $(srcdir)/exifscan.c

fnames.obj: $(srcdir)/fnames.c $(srcdir)/fnames.h $(srcdir)/ctimez.h
	$(MKOBJ) -ofnames.obj $(srcdir)/fnames.c

ctimez.obj: $(srcdir)/ctimez.c $(srcdir)/ctimez.h
	$(MKOBJ) -octimez.obj $(srcdir)/ctimez.c

filetime.obj: $(srcdir)/filetime.c $(srcdir)/filetime.h $(srcdir)/ctimez.h
	$(MKOBJ) -ofiletime.obj $(srcdir)/filetime.c

eph_read.obj: $(srcdir)/eph_read.c $(srcdir)/eph_io.h $(srcdir)/comio.h $(srcdir)/usleep.h
	$(MKOBJ) -oeph_read.obj $(srcdir)/eph_read.c

eph_iob.obj: $(srcdir)/eph_iob.c $(srcdir)/eph_io.h
	$(MKOBJ) -oeph_iob.obj $(srcdir)/eph_iob.c

eph_err.obj: $(srcdir)/eph_err.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h
	$(MKOBJ) -oeph_err.obj $(srcdir)/eph_err.c

eph_cmd.obj: $(srcdir)/eph_cmd.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h
	$(MKOBJ) -oeph_cmd.obj $(srcdir)/eph_cmd.c

eph_io.obj: $(srcdir)/eph_io.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h $(srcdir)/usleep.h $(srcdir)/comio.h
	$(MKOBJ) -oeph_io.obj $(srcdir)/eph_io.c

eph_open.obj: $(srcdir)/eph_open.c $(srcdir)/eph_io.h $(srcdir)/eph_priv.h $(srcdir)/usleep.h $(srcdir)/comio.h $(srcdir)/usleep.h
	$(MKOBJ) -oeph_open.obj $(srcdir)/eph_open.c

getopt.obj: $(srcdir)/getopt.c $(srcdir)/getopt.h
	$(MKOBJ) -ogetopt.obj $(srcdir)/getopt.c

usleep.obj: $(srcdir)/usleep.c
	$(MKOBJ) -ousleep.obj $(srcdir)/usleep.c

strcscmp.obj: $(srcdir)/strcscmp.c
	$(MKOBJ) -ostrcscmp.obj $(srcdir)/strcscmp.c

=== debian/changelog ===
photopc (3.07-1) unstable; urgency=medium

  * QA upload.
  * New upstream release (LP: #906524).
  * Migrations:
      - debian/copyright to 1.0 format.
      - Bumped Standards-Version to 3.9.6.
  * debian/control:
      - Included Homepage field.
      - Removed outdated information of long-description.
      - Removed extra spaces.
      - Removed automake1.11 from Build-Depends field.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Revised and updated all information.
  * debian/patches:
      - Included patch to fix de-ANSI-fication error.
      - Included patch to fix spelling errors in manpages.
      - Included patch to fix spelling errors in photopc.c file.
  * debian/photopc.docs:
      - Removed useless doc about DOS.
  * debian/README.Debian:
      - Included with information about unofficial protocol.
  * debian/rules:
      - Included DEB_BUILD_MAINT_OPTIONS for hardening.
  * debian/watch: Included.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Tue, 03 Nov 2015 11:23:00 -0200

photopc (3.05-8) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * Add debian/patches/01-the-build-date-should-not-matter.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Aug 2015 16:46:52 +0200

photopc (3.05-7) unstable; urgency=low

  * QA upload.
  * Maintainer field set to QA Group.
  * Bump Standards-Version to 3.9.5.
  * Set debhelper compatibility level to 9.
  * Rewrite debian/rules using dh --with autoreconf.
  * Depend on ${misc:Depends}.
  * Explicitly list documentation files in debian/photopc.docs.

 -- Emanuele Rocca <ema@debian.org>  Mon, 24 Mar 2014 17:11:41 +0100

photopc (3.05-6) unstable; urgency=low 

  * New Maintainer (Closes #261681)
  * Updated debhelper compatibility version to 4
  * Updated Standards-Version to current policy
  * Fixed disparities found in Override and .deb, changed to graphic - extra
  * Modified debian/rules thanks to the contribution of David Moreno Garza <damog@debian.org> 

 -- Ana Isabel Delgado Dominguez <anubis@debianvenezuela.org>  Fri, 28 Oct 2005 21:43:50 -0400

photopc (3.05-5) unstable; urgency=low

  * Switched from debmake to debhelper and do some cleanup.

 -- Santiago Vila <sanvila@debian.org>  Thu,  6 Jan 2005 18:16:20 +0100

photopc (3.05-4) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 27 Jul 2004 09:27:04 -0500

photopc (3.05-3) unstable; urgency=low

  * Turn off debstd installation of manpages; use dh_installman now.
    Closes: #215931.
  * Aggresified clean target to also remove some config status files.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 21 Oct 2003 22:37:44 -0500

photopc (3.05-2) unstable; urgency=low

  * Build-depends on debmake.  Closes: #190502.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 18 Aug 2003 17:54:10 -0500

photopc (3.05-1) unstable; urgency=low

  * New upstream release.  Closes: #84811.
  * Corrected description typo.  Closes: #125235.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 20 Apr 2002 12:26:43 -0500

photopc (3.04-1) unstable; urgency=low

  * New upstream release.  Closes: #69095.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  4 Sep 2000 12:34:52 -0500

photopc (3.02-2) unstable; urgency=low

  * Remove ansi2knr manpage that debstd erroneously includes.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 19 Dec 1999 17:58:30 -0600

photopc (3.02-1) unstable; urgency=low

  * New upstream release.  Closes: #52399, #46011.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 18 Dec 1999 16:25:03 -0600

photopc (3.01-1) unstable; urgency=low

  * New upstream release
  * Deleted old README.debian file.
  * Updated copyright file with updated notice from README.
  * Updated standards-version

 -- John Goerzen <jgoerzen@complete.org>  Wed,  1 Sep 1999 20:10:07 -0500

photopc (2.8-3) unstable; urgency=low

  * Now installs .h and .a files.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 11 Dec 1998 13:57:14 -0600

photopc (2.8-2) unstable; urgency=low

  * Fixed Maintainer line in control file.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  9 Dec 1998 22:58:29 -0600

photopc (2.8-1) unstable; urgency=low

  * New upstream release, fixes some problems with download errors
    or timeouts since the 2.1 release.  Fixes bug #30544
  * New maintainer.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  9 Dec 1998 18:13:35 -0600

photopc (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Christoph Lameter <chris@lameter.com>  Wed, 18 Feb 1998 17:08:55 -0800

=== debian/control ===
Source: photopc
Section: graphics
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dh-autoreconf
Homepage: http://sourceforge.net/projects/photopc/

Package: photopc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Interface to digital still cameras
 This is a library and a command-line frontend to manipulate digital
 still cameras based on Fujitsu chipset and Sierra Imaging firmware. The
 program is known to work with Agfa, Epson and Olympus cameras. Should
 also work with Sanyo, but this is untested.

=== debian/watch ===
version=3
http://sf.net/photopc/photopc-(\d\S+)\.tar\.(?:bz2|gz|xz)
